#ifndef _kbmame_h
#define _kbmame_h

#include <stdio.h>
#include "common.h"
#include "driver.h"
#include "cpuintrf.h"


int ignore_dynamic(int argc,char **argv);
int find_dynamic(char *s);
int scan_ini(FILE *f,char *s);
int rom_table_end(struct RomModule *r);
int search_rom(struct RomModule *romtable,char *s);
int build_dynamic_driver(int *game_index);
void pokeport(int readport,int button);
void apply_ports(void);
void set_clock(void);
void save_contexts(void);
void restore_contexts(void);
void force_16(void);
void do_autofire(unsigned short inparr[]);
void do_macro(unsigned short inparr[],int pressed[]);
int read_combo(void);
void kbmame_init(void);

// To Do: move this out of the header file
extern unsigned char *vidram;
extern unsigned char *pal_bank1;	
extern unsigned char *pal_bank2;
extern unsigned char *neogeo_ram;
extern unsigned char *neogeo_paletteram;

void neogeo_paletteram_w(int offset,int data);
#endif
